Update information about already Registered client by client id. This request does not support updating client Logo URL. In order to update a Logo URL, send separate Update Registered Logo request along with id of the client.
curl --request PUT \
--url https://admin-api.meshconnect.com/admin/api/v1/SubClient/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": [
"https://your-website1.com",
"https://your-website2.com"
]
}
'{
"content": {
"id": "118318bc-9d4b-481e-b165-d3021da7a353",
"logoUrl": "https://file-cdn.meshconnect.com/public/clients/logo/oauth/registered/116a43e7-ddc9-4c61-b819-08ddd687d1d5f2fc96ed-cf41-454f-80c7-66520f5d047d.png",
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": [
"https://your-website1.com",
"https://your-website2.com"
]
},
"status": "ok",
"message": "",
"errorHash": "51d01c67",
"teamCode": "P4",
"errorType": ""
}Authorization header using the Bearer scheme. Example: "Authorization: Bearer {Value}"
The identifier of the Registered client to update
Update Registered client request
Registered client Business Legal Name
300Registered client Display Name
300Registered client Allowed Link URLs. If no Allowed Link URLs are specified, Allowed Link URLs from main client will be used.
Registered client updated
ok, serverFailure, permissionDenied, badRequest, notFound, conflict, tooManyRequest, locked, unavailableForLegalReasons A message generated by the API
User-friendly display message that can be presented to the end user
An error grouping hash from string components and caller information. Used by bugsnag on FE for correct error grouping
Opaque team code for error routing. Resolved from exception origin or caller file path via CODEOWNERS. Format: 2-character code (e.g., "7K", "M2"). Use for alerting/routing, not display.
Strictly-typed error type that is explaining the reason of an unsuccessful status of the operation. All possible error types are available in the documentation.
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://admin-api.meshconnect.com/admin/api/v1/SubClient/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": [
"https://your-website1.com",
"https://your-website2.com"
]
}
'{
"content": {
"id": "118318bc-9d4b-481e-b165-d3021da7a353",
"logoUrl": "https://file-cdn.meshconnect.com/public/clients/logo/oauth/registered/116a43e7-ddc9-4c61-b819-08ddd687d1d5f2fc96ed-cf41-454f-80c7-66520f5d047d.png",
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": [
"https://your-website1.com",
"https://your-website2.com"
]
},
"status": "ok",
"message": "",
"errorHash": "51d01c67",
"teamCode": "P4",
"errorType": ""
}